Skip to main content
GET
Available in🇮🇳 India🇸🇬 Singapore🇺🇸 United States
Use this endpoint to retrieve the details of all contacts.

Query Parameters

string
Name by which results should be filtered. For example, Gaurav.
string
Email address by which results should be filtered. For example, gaurav.kumar@example.com.
string
Phone number by which results should be filtered. For example, 9000090000.
string
The user-generated reference by which results should be filtered. For example, Acme Contact ID 12345. Maximum length is 40 characters.
boolean
The state by which results should be filtered. Possible values:
  • 1: active
  • 0: inactive
string
The classification by which results should be filtered. Possible values:
  • vendor
  • customer
  • employee
  • self
integer
Timestamp, in Unix, from when contacts are to be retrieved.
integer
Timestamp, in Unix, till when contacts are to be retrieved.
integer
The number of contacts to be retrieved. Default = 10. Maximum = 100. This can be used for pagination, in combination with skip.
integer
The number of contacts to be skipped. Default = 0. This can be used for pagination, in combination with count.

Response Parameters

string
The unique identifier linked to the contact. For example, cont_00000000000001.
string
The entity being created. Here, it is contact.
string
The contact’s name. For example, Gaurav Kumar.
string
The contact’s phone number. For example, 9000090000.
string
The contact’s email address. For example, gaurav.kumar@example.com.
string
A classification for the contact being created. For example, employee.
string
A user-entered reference for the contact. For example, Acme Contact ID 12345.
string
This value is returned if the contact was created as part of a bulk upload. For example, batch_00000000000001.
boolean
Possible values:
  • true (default) : active
  • false : inactive
object
Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example, "note_key": "Beam me up Scotty”.
integer
Timestamp, in Unix, when the contact was created. For example, 1545320320.

Errors

Code: 4xxThe name field is missing in the request body.Solution: Enter the details in the recommended format as per the request body.
Code: 4xxThere are special characters used in the name field.Solution: Enter details as per the format recommended for Create a Contact request for name field.
Code: 4xx
  • There are special characters in the type field.
  • Casing does not match as per the type. type is case-sensitive.
  • Contact type sent in the request does not match the types present in the Dashboard.
Solution: Enter the correct contact type in the request body. You cannot create new contact types via API. You must create them via the RazorpayX Dashboard.